Show IPsec policy details#
IPsecポリシーの詳細を表示します。
APIエンドポイント#
| リージョン | APIエンドポイント |
|---|---|
| 西日本リージョン3の場合 | https://nfv.jp-west-3.cloud.global.fujitsu.com |
| 東日本リージョン3の場合 | https://nfv.jp-east-3.cloud.global.fujitsu.com |
HTTPメソッドとURI#
GET
/vpn/nfv/ipsecpolicies/{ipsecpolicy-id}
HTTPステータスコード#
正常時:200
エラー時:404
リクエストパラメータの説明#
| 名前 | In | Type | デフォルト値 /必須指定 |
Description |
|---|---|---|---|---|
| ipsecpolicy-id | path | string | 必須 | IPsecポリシーID |
レスポンスボディ(正常系)の説明#
| 名前 | Type | Description |
|---|---|---|
| ipsecpolicy | object | IPsecポリシーのオブジェクト |
| status | string | 設定ステータス ACTIVE / BUILD / DELETING / CREATE_ERROR / UPDATE_ERROR / DELETE_ERROR |
| name | string | IPsecポリシーの名前 |
| initiator | string | 鍵交換の開始方向(応答、双方向) |
| transform_protocol | string | IPsecで利用する暗号プロトコル esp固定です。 |
| auth_algorithm | string | 利用する認証アルゴリズム sha1またはsha2です。 |
| encapsulation_mode | string | IPsecの通信モード tunnel固定です。 |
| encryption_algorithm | string | 利用する暗号化アルゴリズム |
| pfs | string | PFSで利用できるキーの最大のサイズグループ |
| detail | string | 詳細情報 |
| tenant_id | string | IPsec ポリシーが所属するプロジェクトID |
| lifetime | object | ライフタイムのオブジェクト |
| units | string | セキュリティアソシエーションの存続期間の単位 |
| value | integer | ライフタイム値 |
| id | string | IPsecポリシーのID |
| description | string | IPsec ポリシーの説明 |
| availability_zone | string | 常にnullです。 |
レスポンス例#
{ "ipsecpolicy": { "status": "BUILD", "name": "ipsec-policy", "transform_protocol": "esp", "auth_algorithm": "sha2", "encapsulation_mode": "tunnel", "encryption_algorithm": "aes-256", "pfs": "group14", "detail":" ", "tenant_id": "70319f5b0c6b4db49720c2101100b1ec", "lifetime": { "units": "seconds", "value": 3600 }, "id": "27961", "description": "", "availability_zone": null } }